#include <iostream>
#include <cstdio>
using namespace std ;

const unsigned long long MOD = 1e9 + 7 ;
const int MAXN = 1e5 + 8 ;

int c , T , n , k , e[MAXN] ;

inline int read()
{
	char f = getchar() ;
	
	int num = 0 ;
	
	while ( f >= '0' && f <= '9' )
	{
		num = num * 10 + ( f - '0' ) ;
		f = getchar() ;
	}
	
	return num ;
}

int main()
{
	freopen( "traverse.in" , "r" , stdin ) ;
	freopen( "traverse.out" , "w" , stdout ) ;
	
	c = read() , T = read() ;
	
	while ( T-- )
	{
		n = read() , k = read() ;
		
		for ( int i = 1 ; i <= n - 1 ; i++ )
		{
			
		}
		for ( int i = 1 ; i <= k ; i++ ) e[i] = read() ;
		
		
	} 
	
	fclose( stdin ) ;
	fclose( stdout ) ;
	
	return 0 ;
} 
